#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n;
	cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin >>a[i];
    }
    int sdv[n];sdv[n-1]=0;
    for(int i=n-2;i>=0;i--)
    {
        if(a[i]==a[i+1]) sdv[i]=sdv[i+1];
        else sdv[i]=n-1-i;
    }
    long long sum=0;
    for(int i=0;i<n;i++)
    {
        sum+=max(0,a[i]-sdv[i]);
    }
    cout<<sum;
}
